"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.build = void 0;
function build(context, options) {
    return __awaiter(this, void 0, void 0, function* () {
        if (options.noBuild) {
            context.logger.info(`🏗️ Skipping build`);
        }
        else {
            const project = context.target.project;
            context.logger.info(`📦 Building your application "${project}". Configuration: "${options.configuration}"`);
            const build = yield context.scheduleTarget({
                target: 'build',
                project: project,
                configuration: options.configuration
            });
            yield build.result;
        }
    });
}
exports.build = build;
//# sourceMappingURL=build.js.map