"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.addDeployCloudFoundry = exports.ngAdd = void 0;
const schematics_1 = require("@angular-devkit/schematics");
const angular_json_1 = require("../utils/angular-json");
function ngAdd(options) {
    return (tree, context) => {
        return schematics_1.chain([addDeployCloudFoundry(options)])(tree, context);
    };
}
exports.ngAdd = ngAdd;
function addDeployCloudFoundry(options) {
    return (tree, context) => __awaiter(this, void 0, void 0, function* () {
        const project = new angular_json_1.AngularJson(tree, options);
        project.addDeployArchitect({
            builder: 'ng-deploy-cloudfoundry:deploy',
            options: {
                sso: options.sso,
                skipSslValidation: options.skipSslValidation
            }
        });
    });
}
exports.addDeployCloudFoundry = addDeployCloudFoundry;
//# sourceMappingURL=index.js.map